Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis
Interface Chain

All Superinterfaces:
  Handler, java.io.Serializable

All Known Subinterfaces:
  TargetedChain

All Known Implementing Classes:
  SimpleChain, SimpleTargetedChain

public interface Chain
extends Handler

A `Handler` that executes a 'chain' of child handlers in order.

Author:
  Doug Davis (dug@us.ibm.com.com)

Method Summary
`void` | `addHandler(Handler handler)` Adds a handler to the end of the chain.
`boolean` | `contains(Handler handler)` Discover if a handler is in this chain.
`Handler[]` | `getHandlers()` Get the list of handlers in the chain.

Methods inherited from interface org.apache.axis.Handler
`canHandleBlock, cleanup, generateWSDL, getDeploymentData, getName, getOption, getOptions, getUnderstoodHeaders, init, invoke, onFault, setName, setOption, setOptions`

Method Detail

### addHandler

    public void addHandler(Handler handler)

  Adds a handler to the end of the chain. May not be called after invoke.

  Parameters:
    `handler` - the `Handler` to be added

### contains

    public boolean contains(Handler handler)

  Discover if a handler is in this chain.

  Parameters:
    `handler` - the `Handler` to check
  Returns:
    `true` if it is in this chain, `false` otherwise

### getHandlers

    public Handler[] getHandlers()

  Get the list of handlers in the chain. Is Handler[] the right form?

  Returns:
    an array of `Handler`s that have been added

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.